Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.netobjects
Class Access

    java.lang.Object
      scone.netobjects.TableRecord
          scone.netobjects.Access

All Implemented Interfaces:
  Cacheable

    public class Access

extends TableRecord

Access-Objects contain information about single access actions See scone.examples.OberserverTestPlugin for an example how to use the acess-Events

Author:
  Harald Weinreich, Volkert Buchmann, Torsten Hass

Field Summary
`static java.lang.String` | `COPYRIGHT`
`protected static DBTableAdapter` | `dbTable`

Fields inherited from class scone.netobjects.TableRecord
`ctei, date, fieldValues, hasChanged, hasRecordInDB, persistent`

Constructor Summary
`Access(java.sql.ResultSet results)` Create Access-Object to a result of a db query.
`Access(java.lang.String userId, java.lang.String nodeId, long time, java.lang.String frameName)` Constructor: Create a new Access-Object with the necessary key values.
`Access(java.lang.String userId, java.lang.String nodeId, long time, java.lang.String fragment, java.lang.String query, int referrerNodeId, long stay)` Constructor: Create a new Access-Object with all available values of a new access.
`Access(java.lang.String userId, java.lang.String nodeId, long time, java.lang.String frameName, java.lang.String fragment, java.lang.String query, int parentFrameNodeId, java.lang.String parentFrameName, int referrerNodeId)` Constructor: Create a new Access-Object with all available values of a new access.

Method Summary
`java.lang.String` | `getAccessId()` returns the id of this access event
`int` | `getAction()` returns the bit array action
`java.lang.String` | `getEvent()` returns the event string
`java.lang.String` | `getFragment()` returns the fragment string
`java.lang.String` | `getFrameName()` returns the frame name
`java.lang.Object` | `getKey(int keyNo)` Key for Hashtable
`java.lang.String` | `getLastWindowSize()` returns size of window before user entered this page...
`java.lang.String` | `getLinkAnchor()` returns the text of the last link anchor
`java.lang.String` | `getLinkId()` returns the link id
`java.lang.String` | `getLinkPos()` returns the string with the position of the last link
`java.lang.String` | `getLinkTitle()` returns the title of the last link
`int` | `getLinkType()` returns the load time
`long` | `getLoadTime()` returns the load time
`NetNode` | `getNode()` returns the accessed node
`java.lang.String` | `getNodeId()` returns the node id
`java.lang.String` | `getParentAccessId()` returns the id of the parent access event (in frameset)
`java.lang.String` | `getParentFrameName()` returns the parent frame name
`NetNode` | `getParentFrameNode()` returns the node in the parent frame
`java.lang.String` | `getParentFrameNodeId()` returns the parent frame node id
`java.lang.String` | `getPost()` returns the post string
`java.lang.String` | `getQuery()` returns the query string
`NetNode` | `getReferrerNode()` returns the referrer node
`java.lang.String` | `getReferrerNodeId()` returns the referrer node id
`boolean` | `getShown()` returns if this access event was already displayed.
`long` | `getStayTime()` returns the stay time
`int` | `getStepsInHistory()` returns the number of Pages the user jumped back or next
`long` | `getTime()` returns the time when the page was starting to load
`User` | `getUser()` returns the user
`java.lang.String` | `getUserId()` returns the user id
`void` | `setAction(int action)` sets the bit array 'action' Bit 0: link Bit 1: reference / fragment Bit 2: samePage / selflink Bit 3: submit Bit 4: reloaded Bit 5: back Bit 6: next Bit 7: jump over multiple steps in history Bit 8: new window Bit 9: bookmark Bit 10: linkbutton Bit 11: adressbar Bit 12: home Bit 13: history or favorites Bit 14: New Frame Bit 15: New Window Bit 22: by hotkey Bit 23: by html menu Bit 24: by main menu Bit 25: by toolbar button Bit 26: by toolbar menu Bit 27: on netscape / firefox Bit 28: on explorer Bit 29: on other gecko browser Bit 30: by heuristic
`void` | `setEvent(java.lang.String event)` sets the event as string
`void` | `setFragment(java.lang.String fragment)` sets the fragment string
`void` | `setFrameName(java.lang.String frameName)` sets the frame name
`void` | `setLastWindowSize(java.lang.String w)` sets the Size of the Browser window when the last link was clicked that lead to this page...
`void` | `setLinkAnchor(java.lang.String l)` sets the link anchor string
`void` | `setLinkId(java.lang.String linkId)` sets the link id
`void` | `setLinkPos(java.lang.String pos)` sets the position of the last link
`void` | `setLinkTitle(java.lang.String t)` sets the title attribute of the last Link...
`void` | `setLinkType(int linkType)` sets the link type
`void` | `setLoadTime(long loadTime)` sets the it took to load this page in browser
`void` | `setNodeId(java.lang.String nodeId)` sets the node id
`void` | `setParentAccessId(java.lang.String parentAccessId)` sets the parent access id (only used if page is a frame of a frameset
`void` | `setParentFrameName(java.lang.String parentFrameName)` sets the frame name of the parent browser window
`void` | `setParentFrameNodeId(java.lang.String parentFrameNodeId)` sets the parent frame node id
`void` | `setPost(java.lang.String post)` sets the post string (when using POST method)
`void` | `setQuery(java.lang.String query)` sets the query string
`void` | `setReferrerNodeId(java.lang.String referrerNodeId)` sets the referrer node id
`void` | `setShown(boolean _shown)`
`void` | `setStayTime(long stayTime)` sets the time the user had this page opened in browser
`void` | `setStepsInHistory(int stepsInHistory)` sets the number of pages the user jumped back or next
`void` | `setTime(long time)` sets the time, when this page was started to load
`void` | `setUserId(java.lang.String userId)` sets the user id
`void` | `store()` store object to DB

Methods inherited from class scone.netobjects.TableRecord
`isPersistent, now, setCacheTableEntryInterface, setChanged, setPersistent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COPYRIGHT

    public static final java.lang.String COPYRIGHT

See Also:
  Constant Field Values

### dbTable

    protected static DBTableAdapter dbTable

Constructor Detail

### Access

    public Access(java.lang.String userId,
                  java.lang.String nodeId,
                  long time,
                  java.lang.String frameName)

  Constructor: Create a new Access-Object with the necessary key values.

  Parameters:
    `userId:` - The id of the user (from cookie)
    `nodeId:` - The current Node
    `time:` - The (start) time of the access
    `frameName:` - Name of the frame or window (given or generated by Scone)

### Access

    public Access(java.lang.String userId,
                  java.lang.String nodeId,
                  long time,
                  java.lang.String frameName,
                  java.lang.String fragment,
                  java.lang.String query,
                  int parentFrameNodeId,
                  java.lang.String parentFrameName,
                  int referrerNodeId)

  Constructor: Create a new Access-Object with all available values of a new access.

  Parameters:
    `userId:` - The id of the user (from cookie)
    `nodeId:` - The current Node
    `time:` - The (start) time of the access
    `frameName:` - Name of the frame or window (given or generated by Scone)
    `fragment:` - The string after the #
    `query:` - Was it a query, e.g. to a search engine?
    `parentFrameNodeId:` - NodeId of the parent frame (if any)
    `parentFrameName:` - Name of the parent frame or window
    `referrerNodeId:` - The NodeId of the refferer page.

### Access

    public Access(java.lang.String userId,
                  java.lang.String nodeId,
                  long time,
                  java.lang.String fragment,
                  java.lang.String query,
                  int referrerNodeId,
                  long stay)

  Constructor: Create a new Access-Object with all available values of a new access. Is used to create an entry from server log.

  Parameters:
    `userId:` - The id of the user (from IP-Address???)
    `nodeId:` - The current Node
    `time:` - The (start) time of the access
    `fragment:` - The string after the #
    `query:` - Was it a query, e.g. to a search engine?
    `referrerNodeId:` - The NodeId of the refferer page.
    `stay:` - The estimated time a user stayed on a page

### Access

    public Access(java.sql.ResultSet results)

  Create Access-Object to a result of a db query.

  Parameters:
    `results` - the ResultSet returnetd by the query.

Method Detail

### setUserId

    public void setUserId(java.lang.String userId)

  sets the user id

  Parameters:
    `userId` -

### setNodeId

    public void setNodeId(java.lang.String nodeId)

  sets the node id

  Parameters:
    `nodeId` -

### setTime

    public void setTime(long time)

  sets the time, when this page was started to load

  Parameters:
    `time` -

### setFrameName

    public void setFrameName(java.lang.String frameName)

  sets the frame name

  Parameters:
    `frameName` -

### setParentAccessId

    public void setParentAccessId(java.lang.String parentAccessId)

  sets the parent access id (only used if page is a frame of a frameset

  Parameters:
    `parentAccessId` -

### setAction

    public void setAction(int action)

  sets the bit array 'action'

  Bit 0: link
  Bit 1: reference / fragment
  Bit 2: samePage / selflink
  Bit 3: submit
  Bit 4: reloaded
  Bit 5: back
  Bit 6: next
  Bit 7: jump over multiple steps in history
  Bit 8: new window
  Bit 9: bookmark
  Bit 10: linkbutton
  Bit 11: adressbar
  Bit 12: home
  Bit 13: history or favorites
  Bit 14: New Frame Bit 15: New Window Bit 22: by hotkey
  Bit 23: by html menu
  Bit 24: by main menu
  Bit 25: by toolbar button
  Bit 26: by toolbar menu
  Bit 27: on netscape / firefox
  Bit 28: on explorer
  Bit 29: on other gecko browser
  Bit 30: by heuristic

  Parameters:
    `action` -

### setEvent

    public void setEvent(java.lang.String event)

  sets the event as string

  Parameters:
    `event` -

### setLinkPos

    public void setLinkPos(java.lang.String pos)

  sets the position of the last link

  Parameters:
    `position` -

### setLinkAnchor

    public void setLinkAnchor(java.lang.String l)

  sets the link anchor string

  Parameters:
    `anchor` - text

### setLinkTitle

    public void setLinkTitle(java.lang.String t)

  sets the title attribute of the last Link...

  Parameters:
    `link` - title

### setLastWindowSize

    public void setLastWindowSize(java.lang.String w)

  sets the Size of the Browser window when the last link was clicked that lead to this page...

  Parameters:
    `windowsize` -

### setStepsInHistory

    public void setStepsInHistory(int stepsInHistory)

  sets the number of pages the user jumped back or next

  Parameters:
    `stepsInHistory` -

### setFragment

    public void setFragment(java.lang.String fragment)

  sets the fragment string

  Parameters:
    `fragment` -

### setQuery

    public void setQuery(java.lang.String query)

  sets the query string

  Parameters:
    `v` - the query

### setPost

    public void setPost(java.lang.String post)

  sets the post string (when using POST method)

  Parameters:
    `v` - the post string...

### setParentFrameNodeId

    public void setParentFrameNodeId(java.lang.String parentFrameNodeId)

  sets the parent frame node id

  Parameters:
    `v` - the parentFrameName

### setParentFrameName

    public void setParentFrameName(java.lang.String parentFrameName)

  sets the frame name of the parent browser window

  Parameters:
    `v` - the parentFrameName

### setReferrerNodeId

    public void setReferrerNodeId(java.lang.String referrerNodeId)

  sets the referrer node id

  Parameters:
    `v` - the referrerNodeId

### setLinkId

    public void setLinkId(java.lang.String linkId)

  sets the link id

  Parameters:
    `v` - the linkId

### setLinkType

    public void setLinkType(int linkType)

  sets the link type

  Parameters:
    `v` - the link type
  See Also:
    `Link`

### setLoadTime

    public void setLoadTime(long loadTime)

  sets the it took to load this page in browser

  Parameters:
    `v` - the loadTime

### setStayTime

    public void setStayTime(long stayTime)

  sets the time the user had this page opened in browser

  Parameters:
    `v` - the stayTime

### getUserId

    public java.lang.String getUserId()

  returns the user id

  Returns:
    the userId

### getNodeId

    public java.lang.String getNodeId()

  returns the node id

  Returns:
    the nodeid

### getTime

    public long getTime()

  returns the time when the page was starting to load

  Returns:
    the time

### getFrameName

    public java.lang.String getFrameName()

  returns the frame name

  Returns:
    the frameName

### getAccessId

    public java.lang.String getAccessId()

  returns the id of this access event

  Returns:
    the accessId

### getParentAccessId

    public java.lang.String getParentAccessId()

  returns the id of the parent access event (in frameset)

  Returns:
    the parentAccessId

### getAction

    public int getAction()

  returns the bit array action

  Returns:
    the action

### getEvent

    public java.lang.String getEvent()

  returns the event string

  Returns:
    the event

### getLinkPos

    public java.lang.String getLinkPos()

  returns the string with the position of the last link

  Returns:
    the linkpos

### getLinkAnchor

    public java.lang.String getLinkAnchor()

  returns the text of the last link anchor

  Returns:
    the link anchor string

### getLinkTitle

    public java.lang.String getLinkTitle()

  returns the title of the last link

  Returns:
    the event

### getLastWindowSize

    public java.lang.String getLastWindowSize()

  returns size of window before user entered this page...

  Returns:
    the window size aaaXbbb

### getStepsInHistory

    public int getStepsInHistory()

  returns the number of Pages the user jumped back or next

  Returns:
    the stepsInHistory

### getFragment

    public java.lang.String getFragment()

  returns the fragment string

  Returns:
    the fragment

### getQuery

    public java.lang.String getQuery()

  returns the query string

  Returns:
    the query

### getPost

    public java.lang.String getPost()

  returns the post string

  Returns:
    the POST parameters of this access event

### getParentFrameNodeId

    public java.lang.String getParentFrameNodeId()

  returns the parent frame node id

  Returns:
    the parentFrameNodeId

### getParentFrameName

    public java.lang.String getParentFrameName()

  returns the parent frame name

  Returns:
    the parentFrameName

### getReferrerNodeId

    public java.lang.String getReferrerNodeId()

  returns the referrer node id

  Returns:
    the referrerNodeId

### getLinkId

    public java.lang.String getLinkId()

  returns the link id

  Returns:
    the linkId

### getLinkType

    public int getLinkType()

  returns the load time

  Returns:
    the loadTime

### getLoadTime

    public long getLoadTime()

  returns the load time

  Returns:
    the loadTime

### getStayTime

    public long getStayTime()

  returns the stay time

  Returns:
    the stayTime

### getNode

    public NetNode getNode()

  returns the accessed node

  Returns:
    the accessed node

### getParentFrameNode

    public NetNode getParentFrameNode()

  returns the node in the parent frame

  Returns:
    the node in the parent frame

### getReferrerNode

    public NetNode getReferrerNode()

  returns the referrer node

  Returns:
    the referrer node

### getUser

    public User getUser()

  returns the user

  Returns:
    the user

### store

    public void store()

  store object to DB

### getKey

    public java.lang.Object getKey(int keyNo)

  Key for Hashtable

  Specified by:
    `getKey` in interface `Cacheable`
  Specified by:
    `getKey` in class `TableRecord`
  Parameters:
    `keyNo` - the number of the key to be generated
  Returns:
    the Key(s) corresponding to the object.

### getShown

    public boolean getShown()

  returns if this access event was already displayed.

  Returns:
    if it was already shown

### setShown

    public void setShown(boolean _shown)

  Parameters:
    `_shown` - set if this event was already shown...

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD